/* Mathematiques de l'informatique graphique    */
/* Zoom 3D en coordonnees homogenes             */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Mars 2020                                    */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include "TG3D.h"
#include "Sc3D.h"

/* Construit le zoom identite                   */

Sc3D::Sc3D(void):TG3D() {
}

/* Construit le zoom de rapports (rx,ry,rz)     */

Sc3D::Sc3D(float rx,float ry,float rz):TG3D() {
  c[0][0] = rx;
  c[1][1] = ry;
  c[2][2] = rz;
}

/* Construit le clone du zoom sc                */

Sc3D::Sc3D(Sc3D *sc):TG3D(sc) {
}

/* Destructeur                                  */

Sc3D::~Sc3D(void) {
}
